Investors, warrants & staking

Get Scheduled Sales Orders For Org

Derives upcoming scheduled sales for every trading plan in the caller's org from unsettled vestings or lockups.

POSThttps://api.toku.com/tga/get-scheduled-sales-orders-for-org

Not available to API keys yet. It will need grants:read and banking:read.

curl --request POST \
  --url 'https://api.toku.com/tga/get-scheduled-sales-orders-for-org' \
  --header 'Authorization: Bearer <token>'
200 response
[
  {
    "scheduleID": "string",
    "roleInOrgID": "string",
    "tradingPlanID": "string",
    "grantID": "string",
    "grantName": "string",
    "recipientName": "string",
    "executionDate": "string",
    "tokensSoldFor": "EURC",
    "tokensScheduledForSale": "string",
    "minSalePrice": "string",
    "receivingWallet": "string",
    "receivingNetwork": "string"
  }
]

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

anyany

Response

200Successful response
scheduleIDstringrequired
roleInOrgIDstringrequired
tradingPlanIDstringrequired
grantIDstringrequired
grantNamestringrequired
recipientNamestringrequired
executionDatestringrequired
tokensSoldForstringrequired

Available options: EURC, USDC, USDT

tokensScheduledForSalestringrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

minSalePricestringrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

receivingWalletstringrequired
receivingNetworkstringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits